# -*- coding: utf-8 -*-
import requests


class MpInterface:
    def __init__(self):
        self.base_url = "https://mp.kingsome.cn/api/open/cfg/all?"

    def get_data(self, url):
        r = requests.get(url)
        if r.status_code == requests.codes.ok:
            return r.json()
        else:
            return None


    def get_fromappid_cn(self, gameid, channelid):
        key = "fromappid_cn"
        url = f"{self.base_url}channelid={channelid}&gameid={gameid}&key={key}"
        return self.get_data(url)
